Mailinglist Archive: opensuse-security-announce (29 mails)

< Previous Next >
[security-announce] SUSE-SU-2012:1043-1: important: Security update for Xen and libvirt
SUSE Security Update: Security update for Xen and libvirt
______________________________________________________________________________

Announcement ID: SUSE-SU-2012:1043-1
Rating: important
References: #746702 #762484 #762963 #764982 #766283 #773393
#773401 #773955
Cross-References: CVE-2012-3432
Affected Products:
SUSE Linux Enterprise Software Development Kit 11 SP2
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Desktop 11 SP2
______________________________________________________________________________

An update that solves one vulnerability and has 7 fixes is
now available. It includes one version update.

Description:


Xen was updated to fix several security issues:

*

CVE-2012-3433: A xen HVM guest destroy p2m teardown
host DoS vulnerability was fixed, where malicious guest
could lock/crash the host.

*

CVE-2012-3432: A xen HVM guest user mode MMIO
emulation DoS was fixed.

*

CVE-2012-2625: The xen pv bootloader doesn't check
the size of the bzip2 or lzma compressed kernel, leading to
denial of service (crash).

Also the following bug in XEN has been fixed:

* bnc#746702 - Xen HVM DomU crash during Windows Server
2008 R2 install, when maxmem > memory

This update also included bugfixes for:

*

vm-install: - bnc#762963 - ReaR: Unable to recover a
paravirtualized XEN guest

*

virt-manager - SLE11-SP2 ONLY

* bnc#764982 - virt-manager fails to start after
upgrade to SLES11 SP2 from SLES10

Security Issue reference:

* CVE-2012-3432
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3432
>


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11 SP2:

zypper in -t patch sdksp2-xen-201208-6640

- SUSE Linux Enterprise Server 11 SP2:

zypper in -t patch slessp2-xen-201208-6640

- SUSE Linux Enterprise Desktop 11 SP2:

zypper in -t patch sledsp2-xen-201208-6640

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11 SP2 (x86_64):

libvirt-devel-0.9.6-0.21.3
libvirt-devel-32bit-0.9.6-0.21.3
xen-devel-4.1.2_20-0.5.2

- SUSE Linux Enterprise Server 11 SP2 (x86_64) [New Version: 0.5.10]:

libvirt-0.9.6-0.21.3
libvirt-client-0.9.6-0.21.3
libvirt-client-32bit-0.9.6-0.21.3
libvirt-doc-0.9.6-0.21.3
libvirt-python-0.9.6-0.21.3
virt-manager-0.9.0-3.19.1
vm-install-0.5.10-0.5.1
xen-4.1.2_20-0.5.2
xen-doc-html-4.1.2_20-0.5.2
xen-doc-pdf-4.1.2_20-0.5.2
xen-kmp-default-4.1.2_20_3.0.38_0.5-0.5.2
xen-kmp-trace-4.1.2_20_3.0.38_0.5-0.5.2
xen-libs-32bit-4.1.2_20-0.5.2
xen-libs-4.1.2_20-0.5.2
xen-tools-4.1.2_20-0.5.2
xen-tools-domU-4.1.2_20-0.5.2

- SUSE Linux Enterprise Desktop 11 SP2 (x86_64) [New Version: 0.5.10]:

libvirt-0.9.6-0.21.3
libvirt-client-0.9.6-0.21.3
libvirt-client-32bit-0.9.6-0.21.3
libvirt-doc-0.9.6-0.21.3
libvirt-python-0.9.6-0.21.3
virt-manager-0.9.0-3.19.1
vm-install-0.5.10-0.5.1
xen-4.1.2_20-0.5.2
xen-doc-html-4.1.2_20-0.5.2
xen-doc-pdf-4.1.2_20-0.5.2
xen-kmp-default-4.1.2_20_3.0.38_0.5-0.5.2
xen-kmp-trace-4.1.2_20_3.0.38_0.5-0.5.2
xen-libs-32bit-4.1.2_20-0.5.2
xen-libs-4.1.2_20-0.5.2
xen-tools-4.1.2_20-0.5.2
xen-tools-domU-4.1.2_20-0.5.2


References:

http://support.novell.com/security/cve/CVE-2012-3432.html
https://bugzilla.novell.com/746702
https://bugzilla.novell.com/762484
https://bugzilla.novell.com/762963
https://bugzilla.novell.com/764982
https://bugzilla.novell.com/766283
https://bugzilla.novell.com/773393
https://bugzilla.novell.com/773401
https://bugzilla.novell.com/773955

http://download.novell.com/patch/finder/?keywords=6aa25504d39edb169f3b6d3e111160e9

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages